/* Общий стиль фона страницы*/
@font-face{
  font-family: 'Oswald';
  src: url('../fonts/Oswald-VariableFont_wght.woff2') format('woff2');
  src: url('../fonts/src/Oswald-VariableFont_wght.ttf') format('truetype');
  font-weight: 400;
  font-display: swap;
  font-style: normal;
}
body{
    font-family: 'Oswald', sans-serif;
    background: rgb(154,198,172);
    background: linear-gradient(90deg, rgba(154,198,172,1) 49%, rgba(58,173,180,1) 100%);
    padding-right: 4.6rem;
    padding-left: 1.5rem;
    text-decoration:none;
    overflow: auto;
}
a {
  text-decoration:none;
}
a:hover {
  text-decoration:none;
}
/* Стили INDEX страницы*/
.content-index {
  background: rgb(0,0,0);
  background: linear-gradient( rgba(0, 0, 0, 0.9), rgba(0, 0, 0, 0.9) ), url('../img/world.svg');
  background-repeat: repeat;
  background-size: cover;
  -webkit-background-size: cover;
  -o-background-size: cover;
  -moz-background-size: cover;
  background-attachment: fixed;
  background-position: center;
}
.overlay-i {
  padding: 1.5%;
  margin: 0 auto;
}
.overlay-i h1{
  font-size: 45px;
  text-align: center;
  font-weight: bold;
  font-family: 'Oswald', sans-serif;
  color: rgb(154,198,172);
}
.overlay-i p{
  font-size: 24px;
  font-family: 'Oswald', sans-serif;
  color: #e6e6e6;
  text-align: center;
}
.container-img-i{
  position: relative;
  display: block;
  margin: auto;
  padding-left: 1.5%;
  padding-top: 1.5%;
  text-align: center;
}
.img-body{
  width: 100%;
  height: 18rem;
  border-radius: 0.5rem;
}
.btn-body-i{
  padding-top: 1.3rem;
  text-align: center;
  justify-content: center;
}
.btn-text{
  font-family: 'Oswald', sans-serif;
}

/* Стиль ссылок модального окна */
.modal-link{
  font-size: 1.2rem;
  font-family: 'Oswald', sans-serif;
  background-color: #fff;
  color: #0a0a0a;
}
.modal-link:hover{
  font-size: 1.2rem;
  font-family: 'Oswald', sans-serif;
  background-color: #0a0a0a;
  color: #fff;
}
/* Стиль заголовка на общих страницах */
.jumbotron{
  padding: 0;
  width: 100%;
}
.jumbotron h1{
  margin-top: 0;
  margin-bottom: 10px;
}
.jumbotron p{
  margin-top: 0;
  margin-bottom: 0;
}
.jumbotron:hover{
  background-color: #0a0a0a;
  color: #ffff;
}
/* Общие стили страниц */
.site-header-text {            /* Сайт */
  margin: 0;
  padding-top: 0.5rem;
  font-size: 2rem;
  font-size: 4vw;
  font-size: 6vmin;
  font-weight: bold;
  font-family: 'Oswald', sans-serif;
  color: #0a0a0a;
  text-align: left;
}
.card {
    background-color: rgba(255,255,255, 0.3);
}
.card-border {
    border-color: rgba(154,198,172,1) !important;
}
.card-header {
    opacity: 1;
    font-size: 1.3rem;
    font-weight: bold;
    font-family: 'Oswald', sans-serif;
    color: rgb(154,198,172);
    background: rgba(10, 18, 16, 0.9);
}
.card-body {
    opacity: 1;
}
.card-body-text {
    font-size: 1.2rem;
    font-family: 'Oswald', sans-serif;
    color: #0a0a0a;
}
.list-group {
    opacity: 95%;
}
.alert-danger, .list-group-item-danger {
    box-shadow: 0 0 20px rgba(225, 83, 97, 0.5);
}
.text-right {
    float: right;
}
.text-left {
    float: left;
}
.card-header .alert {
    margin: -1rem;
}
.card-deck {
  width: 100%;
  margin-top: 1%;
}
.card-section{
    display: flex;
    overflow-x: auto;
    white-space: nowrap;
    min-height: 50vh;
    -ms-scrollbar-base-color: rgba(255,255,255,0);
}
.card-section::-webkit-scrollbar {
    display: none;
}
.card-section--content{
    min-width: 16rem;
    max-width: 22rem;
}

/* Стили свечения кнопок */
.btn-success {
    box-shadow: 0 0 100px #28a745;
}
.btn-primary {
    box-shadow: 0 0 100px #0275d8;
}
.btn-danger {
    box-shadow: 0 0 100px #d9534f;
}

/* Стили для падающего снега */
#snow_light {
    height: 100%;
    left: 0;
    pointer-events: none;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: -1;
}

/* Стили для сведений о дате */
.date-label {
    border-radius: 0.2rem;
    margin-top: 0.2rem;
    margin-left: -1rem;
}
.confetti-canvas {
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: -1;
}
/* Вкладки */
.tabs {
	clear: both;
	position: relative;
  height: 100px;
  width: 100%;
  margin-top: -1.8rem;
  border-radius: 0.3rem;
}
.tab {
  display: inline-block;
	float: left;
}
.tab label {
	margin-right: 20px;
	top: 0;
	cursor: pointer;
	color: #333;
  font-size: 1.5rem;
  text-transform: uppercase;
}

.tab [type=radio] {
	display: none;
}
.tab__content {
	position: absolute;
  width: 100%;
	top: 100px;
	left: 0;
	right: 0;
	bottom: 0;
	transition: opacity .2s cubic-bezier(.42,0,.34,1.01);
	opacity: 0;
}
[type=radio]:checked ~ label {
	border-bottom: 2px solid #1d1d1d;
	color: #1d1d1d;
	z-index: 2;
}
[type=radio]:checked ~ label ~ .tab__content {
	z-index: 1;
	opacity: 1;
}

/* Стили для переключателя режима */
.bars label{
  display: block;
  left: 0px;
  top: 0;
  position: relative;
  margin: 0.6rem 0.4rem 0.4rem 0.4rem;
  width: 3.8rem;
  height: 40px;
  z-index: 10;
  line-height: 40px;
  font-weight: bold;
  background: #303030;
  border-radius: 0.2rem;
  -webkit-transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  -moz-transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  -ms-transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  -o-transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  cursor: pointer;
}

.bars label:after {
  content: url("../img/toggle/sun.svg");
  padding: 0.25rem;
  width: 1.9rem;
  height: 40px;
  position: absolute;
  left: 0px;
  top: 0px;
  display: block;
  background: #199cff;
  border-radius: 0.2rem;
  -webkit-transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  -moz-transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  -ms-transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  -o-transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  cursor: pointer;
}
.checkbox {
    display: none;
}
.bars :checked + label {
  left: 0px;
}
.bars :checked + label:after {
  left: 1.9rem;
  background: #404d59;
  content: url("../img/toggle/moon.svg");
}

/* MODAL HEADERLINK */
#headerlink .modal-content a{
  text-decoration: none;
  text-align: center;
  font-size: 2.5em;
  font-weight: 300;
  font-family: 'Oswald', sans-serif;
  color: #9ac6ac;
}
#headerlink .modal-content{
  background: none !important;
}
#headerlink .modal-content li{
  background: #0a0a0a !important;
  border: none !important;
}
#headerlink .modal-content a:nth-of-type(1) li:nth-of-type(1){
  margin-bottom: 10px;
}
#headerlink .modal-content li:hover{
  background: #f6f9fc !important;
  color: #0a0a0a;
  border: none !important;
  transition: 0.5s ease-in-out;
}
#headerlink .modal-content li img{
  float: left;
  padding-top: 2px;
  width: 4.2rem;
}